'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const PGBoss = require("pg-boss");
const utils_1 = require("../core/utils");
exports.queue = new PGBoss({
    connectionString: process.env.POSTGRES_DSN,
    schema: 'public'
});
exports.queue.on('error', error => {
    utils_1.reportError(error);
});
exports.queueReady = exports.queue.connect().catch(utils_1.reportError);
//# sourceMappingURL=queue.js.map